aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/run_tests/build_php.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/run_tests/build_php.sh')
-rwxr-xr-xtools/run_tests/build_php.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tools/run_tests/build_php.sh b/tools/run_tests/build_php.sh
new file mode 100755
index 0000000000..6841656bdb
--- /dev/null
+++ b/tools/run_tests/build_php.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../..
+
+root=`pwd`
+export GRPC_LIB_SUBDIR=libs/opt
+
+# make the libraries
+make -j static_c
+
+# build php
+cd src/php
+
+cd ext/grpc
+phpize
+./configure --enable-grpc=$root
+make
+